<?php
/**
 * $Horde: horde/util/pixel.php,v 1.4 2003/07/24 14:26:47 chuck Exp $
 *
 * Copyright 2002-2003 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 */

define('HORDE_BASE', dirname(__FILE__) . '/..');
require_once HORDE_BASE . '/lib/Horde.php';
require_once HORDE_BASE . '/lib/Image/gif.php';

$gif = new Horde_Image_gif(array('rgb' => Horde::getFormData('c')));

header('Content-type: image/gif');
header('Expires: Wed, 21 Aug 1969 11:11:11 GMT');
header('Cache-Control: no-cache');
header('Cache-Control: must-revalidate');

echo $gif->makePixel();
